[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Fedora EPEL 6 updates-testing report



The following Fedora EPEL 6 Security updates need testing:

    https://admin.fedoraproject.org/updates/drupal7-7.4-1.el6
    https://admin.fedoraproject.org/updates/asterisk-1.8.4.4-3.el6
    https://admin.fedoraproject.org/updates/dokuwiki-0-0.8.20110525.a.el6
    https://admin.fedoraproject.org/updates/mingw32-libpng-1.2.37-3.el6
    https://admin.fedoraproject.org/updates/libpng10-1.0.54-3.el6
    https://admin.fedoraproject.org/updates/ejabberd-2.1.8-2.el6
    https://admin.fedoraproject.org/updates/erlang-R14B-02.1.el6


The following builds have been pushed to Fedora EPEL 6 updates-testing

    389-admin-1.1.20-1.el6
    cmake-fedora-0.6.1-1.el6
    cups-bjnp-1.0-1.el6
    gridsite-1.7.15-4.el6
    libupnp-1.6.13-1.el6
    libzdb-2.8.1-1.el6
    perl-Crypt-RC4-2.02-1.el6
    php-zipstream-0.2.2-1.el6
    python-asciitable-0.7.0.2-1.el6
    wordpress-3.2-1.el6

Details about builds:


================================================================================
 389-admin-1.1.20-1.el6 (FEDORA-EPEL-2011-3725)
 389 Administration Server (admin)
--------------------------------------------------------------------------------
Update Information:

several tls/ssl and migration bug fixes
look for separate openldap ldif library
skip rebranding current brand - add support for different skins
The 1.1.17 release
--------------------------------------------------------------------------------
ChangeLog:

* Tue Jul  5 2011 Rich Megginson <rmeggins redhat com> - 1.1.20-1
- Bug 719056 - migrate-ds-admin.pl needs to update SELinux policy
- Bug 718285 - AdminServer should use "service" command instead of start/stop/restart scripts
- Bug 718079 - Perl errors when running migrate-ds-admin.pl
- Bug 713000 - Migration stops if old admin server cannot be stopped
- added tests for the security cgi
- fix typo in NSS_Shutdown warning message
- better NSS error handling - reduce memory leaks
- Bug 710372 - Not able to open the Manage Certificate from DS-console
* Tue Jun 28 2011 Rich Megginson <rmeggins redhat com> - 1.1.19-1
- look for separate openldap ldif library
* Tue Jun 21 2011 Rich Megginson <rmeggins redhat com> - 1.1.18-1
- skip rebranding current brand
- support for skins
* Fri May 13 2011 Rich Megginson <rmeggins redhat com> - 1.1.17-1
- 1.1.17
- support "in-place" upgrade and rebranding from Red Hat to 389
- many fixes for coverity issues
* Tue Mar 29 2011 Rich Megginson <rmeggins redhat com> - 1.1.16-1
- 389-admin-1.1.16
- Bug 476925 - Admin Server: Do not allow 8-bit passwords for the admin user
- Bug 614690 - Don't use exec to call genrb
- Bug 158926 - Unable to install CA certificate when using
-     hardware token ( LunaSA )
- Bug 211296 - Clean up all HTML pages (Admin Express, Repl Monitor, etc)
* Wed Feb 23 2011 Rich Megginson <rmeggins redhat com> - 1.1.15-1
- 1.1.15 release - git tag 389-admin-1.1.15
- Bug 493424 - remove unneeded modules for admin server apache config
- Bug 618897 - Wrong permissions when creating instance from Console
- Bug 672468 - Don't use empty path elements in LD_LIBRARY_PATH
- Bug 245278 - Changing to a password with a single quote does not work
- Bug 604881 - admin server log files have incorrect permissions/ownerships
- Bug 387981 - plain files can be chosen on the Restore Directory dialog
- Bug 668950 - Add posix group support to Console
- Bug 618858 - move start-ds-admin env file into main admin server config path
- Bug 616260 - libds-admin-serv linking fails due to unresolved link-time depe
ndencies
- start-ds-admin.in -- replaced "return 1" with "exit 1"
- Bug 151705 - Need to update Console Cipher Preferences with new ciphers
- Bug 470576 - Migration could do addition checks before commiting actions
* Wed Jan  5 2011 Rich Megginson <rmeggins redhat com> - 1.1.14-1
- 1.1.14 release
- Bug 664671 - Admin server segfault when full SSL access (http+ldap+console) 
required
- Bug 638511 - dirsrv-admin crashes at startup with SELinux enabled
* Mon Nov 29 2010 Rich Megginson <rmeggins redhat com> - 1.1.13-2
- fix Conflicts for selinux policy
* Tue Nov 23 2010 Rich Megginson <rmeggins redhat com> - 1.1.13-1
- This is the final 1.1.13 release
- git tag 389-admin-1.1.13
- Bug 656441 - Missing library path entry causes LD_PRELOAD error
- setup-ds-admin.pl -u exits with ServerAdminID and as_uid related error
* Thu Nov 18 2010 Nathan Kinder <nkinder redhat com> - 1.1.12-2
- This is the final 1.1.12 release
- git tag 389-admin-1.1.12
- Corrected conflict version for selinux-policy
* Fri Nov 12 2010 Nathan Kinder <nkinder redhat com> - 1.1.1.12-1
- This is the final 1.1.12 release
- git tag 389-admin-1.1.12
* Fri Nov 12 2010 Nathan Kinder <nkinder redhat com> - 1.1.1.12-1
- Bug 648949 - Merge dirsrv and dirsrv-admin policy modules into base policy
* Tue Oct 26 2010 Rich Megginson <rmeggins redhat com> - 1.1.12-0.2.a2
- fix mozldap build breakage
* Tue Sep 28 2010 Rich Megginson <rmeggins redhat com> - 1.1.12-0.1.a1
- This is the 1.1.12 alpha 1 release - with openldap support
* Thu Aug 26 2010 Rich Megginson <rmeggins redhat com> - 1.1.11-1
- This is the final 1.1.11 release
* Wed Aug  4 2010 Rich Megginson <rmeggins redhat com> - 1.1.11-0.6.rc2
- 1.1.11.rc2 release
- git tag 389-admin-1.1.11.rc2
- Bug 594745 - Get rid of dirsrv_lib_t label
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #719056 - migrate-ds-admin.pl needs to update SELinux policy
        https://bugzilla.redhat.com/show_bug.cgi?id=719056
  [ 2 ] Bug #718285 - AdminServer should use "service" command instead of start/stop/restart scripts
        https://bugzilla.redhat.com/show_bug.cgi?id=718285
  [ 3 ] Bug #718079 - Perl errors when running migrate-ds-admin.pl
        https://bugzilla.redhat.com/show_bug.cgi?id=718079
  [ 4 ] Bug #713000 - Migration stops if old admin server cannot be stopped
        https://bugzilla.redhat.com/show_bug.cgi?id=713000
  [ 5 ] Bug #710372 - Not able to open the Manage Certificate from DS-console
        https://bugzilla.redhat.com/show_bug.cgi?id=710372
--------------------------------------------------------------------------------


================================================================================
 cmake-fedora-0.6.1-1.el6 (FEDORA-EPEL-2011-3724)
 CMake helper modules for fedora developers
--------------------------------------------------------------------------------
Update Information:

- Remove f13 from FEDORA_CURRENT_RELEASE_TAGS, as Fedora 13 is end of life.
- ManageMessage: New module.
+ M_MSG: Controllable verbose output
- ManageRelease: New module.
+ MANAGE_RELEASE: Make release by uploading files to hosting services
- Now ManageReleaseOnFedora includes ManageMaintainerTargets
- Modules are shown what they include and included by.
- Now tag depends on koji_scratch_build, while fedpkg_commit master
(or other primary branch) depends directly on tag.
- MAINTAINER_SETTING_READ_FILE now can either use MAINTAINER_SETTING, or take
one argument that define maintainer setting file.
- MANAGE_MAINTAINER_TARGETS_UPLOAD no longer require argument hostService,
It now relies on HOSTING_SERVICES from maintainer setting file.
- Minimum cmake requirement is now raise to 2.6
--------------------------------------------------------------------------------
ChangeLog:

* Wed Jul  6 2011 Ding-Yi Chen <dchen at redhat.com> - 0.6.1-1
- Remove f13 from FEDORA_CURRENT_RELEASE_TAGS, as Fedora 13 is end of life.
- ManageMessage: New module.
  + M_MSG: Controllable verbose output
- ManageRelease: New module.
  + MANAGE_RELEASE: Make release by uploading files to hosting services
- Now ManageReleaseOnFedora includes ManageMaintainerTargets
- Modules are shown what they include and included by.
- Now tag depends on koji_scratch_build, while fedpkg_commit master
  (or other primary branch) depends directly on tag.
- MAINTAINER_SETTING_READ_FILE now can either use MAINTAINER_SETTING, or take
  one argument that define maintainer setting file.
- MANAGE_MAINTAINER_TARGETS_UPLOAD no longer require argument hostService,
  It now relies on HOSTING_SERVICES from maintainer setting file.
- Minimum cmake requirement is now raise to 2.6
--------------------------------------------------------------------------------


================================================================================
 cups-bjnp-1.0-1.el6 (FEDORA-EPEL-2011-3729)
 CUPS backend for the Canon BJNP network printers
--------------------------------------------------------------------------------
Update Information:

New upstream release
Fix FTBS on Fedora BZ715649
Fix hostname resolution on some buggy routers that return bogus hostnames on a
reverse lookup
--------------------------------------------------------------------------------
ChangeLog:

* Tue Jul  5 2011 Louis Lagendijk <llagendijk users sourceforge net> - 1.0-1
- New upstream release
- Fix FTBS on Fedora BZ715649
- Fix hostname resolution on some buggy routers that return bogus hostnames on a
  reverse lookup
* Tue Feb  8 2011 Fedora Release Engineering <rel-eng lists fedoraproject org> - 0.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Sat Nov 27 2010 Louis Lagendijk <llagendijk users sourceforge net> - 0.5.5-2
added patch for compilation for cups-1.3
--------------------------------------------------------------------------------


================================================================================
 gridsite-1.7.15-4.el6 (FEDORA-EPEL-2011-3695)
 Grid Security for the Web, Web platforms for Grids
--------------------------------------------------------------------------------
Update Information:

Changes from 1.7.9 to 1.7.15.

* Fixing memleak in GRSTx509MakeProxyCert
* Not relying on hard-coded positions of certificates (fixes using VOMS .lsc files)
* Fixes from Mattias Ellert <mellert> (bugs #69632, #83449, and #83450):
* extern "C" declarations and include protections in public headers
* integer/pointer portability fix
* proper link ordering
* IPv6 portability
* Fix static declaration in public header, function GACLparseEntry() added into gridsite-gacl.h
* Makefile distinguishes between -lgsoap and -lgsoapssl in cflags.
* Makefile: CFLAGS cleanup, HTTPD_FLAGS replaces httpd-specific cflags.
* Unresolved symbols from xml in _globus and _nossl library versions fixed.
* Compile and link flags of dependencies unified.
* Portability improvements
* Support for using IPv6
* Patch to grst_x509.c VOMS verification from Daniel Kouril


--------------------------------------------------------------------------------
ChangeLog:

* Wed Jul  6 2011 Steve Traylen <steve traylen cern ch>  - 1.7.15-4
- devel package require openssl devel rhbz#719174
* Sun Jul  3 2011 Steve Traylen <steve traylen cern ch>  - 1.7.15-3
- Correct dependency mistake.
* Thu Jun 30 2011 Steve Traylen <steve traylen cern ch>  - 1.7.15-2
- Add a gridsite-compat-1.5 package on EPEL4 & EPEL5.
- Remove doc package requiring devel package.
* Thu Jun 30 2011 Steve Traylen <steve traylen cern ch>  - 1.7.15-1
- Upstream 1.7.15, drop gridsite-include-1.7.9.patch since upstream,
  redo cgi-location patch.
* Mon Jun 27 2011 Steve Traylen <steve traylen cern ch>  - 1.7.13-1
- Upstream 1.7.13
* Wed Apr  6 2011 Steve Traylen <steve traylen cern ch>  - 1.7.12-1
- Upstream 1.7.12
* Wed Feb  9 2011 Fedora Release Engineering <rel-eng lists fedoraproject org> - 1.7.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #719174 - gridsite-devel should depend on openssl-devel
        https://bugzilla.redhat.com/show_bug.cgi?id=719174
--------------------------------------------------------------------------------


================================================================================
 libupnp-1.6.13-1.el6 (FEDORA-EPEL-2011-3726)
 Universal Plug and Play (UPnP) SDK
--------------------------------------------------------------------------------
Update Information:

New build for EL-6
--------------------------------------------------------------------------------


================================================================================
 libzdb-2.8.1-1.el6 (FEDORA-EPEL-2011-3720)
 Small, fast, and easy to use database API
--------------------------------------------------------------------------------
Update Information:

This is a bug fix release which fixes a transaction related memory leak in the Oracle driver. There are no other changes.
--------------------------------------------------------------------------------
ChangeLog:

* Tue Jul  5 2011 Bernard Johnson <bjohnson symetrix com> - 2.8.1-1
- bump to 2.8.1 which fixes a Oracle driver transaction memory leak
* Wed Mar 23 2011 Dan Horák <dan danny cz> - 2.8-2
- rebuilt for mysql 5.5.10 (soname bump in libmysqlclient)
--------------------------------------------------------------------------------


================================================================================
 perl-Crypt-RC4-2.02-1.el6 (FEDORA-EPEL-2011-3722)
 Perl implementation of the RC4 encryption algorithm
--------------------------------------------------------------------------------
Update Information:

New package for EPEL 6.
--------------------------------------------------------------------------------


================================================================================
 php-zipstream-0.2.2-1.el6 (FEDORA-EPEL-2011-3730)
 Streaming dynamic zip from PHP without writing to the disk
--------------------------------------------------------------------------------
Update Information:

ZipStream is a library for dynamically streaming dynamic zip files from PHP
without writing to the disk at all on the server.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #716615 - Review Request: php-zipstream - zipstream-php
        https://bugzilla.redhat.com/show_bug.cgi?id=716615
--------------------------------------------------------------------------------


================================================================================
 python-asciitable-0.7.0.2-1.el6 (FEDORA-EPEL-2011-3719)
 Extensible ASCII table reader and writer
--------------------------------------------------------------------------------
Update Information:

New upstream version with Latex, AASTex support
--------------------------------------------------------------------------------
ChangeLog:

* Wed Jul  6 2011 Sergio Pascual <sergiopr fedoraproject org> - 0.7.0.2-1
- New upstream version with Latex, AASTex support
--------------------------------------------------------------------------------


================================================================================
 wordpress-3.2-1.el6 (FEDORA-EPEL-2011-3727)
 Blog tool and publishing platform
--------------------------------------------------------------------------------
Update Information:

New upstream release.
Release notes are at
http://wordpress.org/news/2011/07/gershwin/
--------------------------------------------------------------------------------
ChangeLog:

* Tue Jul  5 2011 Matěj Cepl <mcepl redhat com> - 3.2-1
- New upstream release.
--------------------------------------------------------------------------------



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]